from os import environ

from bundlewrap.exceptions import SkipNode


def node_apply_start(repo, node, interactive=False, **kwargs):
    if environ.get('BW_VAULT_DUMMY_MODE') or environ.get('BW_PASS_DUMMY_MODE'):
        raise SkipNode('refusing apply because dummy mode is active')
